     MODULE BLKMAP

!     PARAMETER (MAXPL=500000,MAXELMP=50000)

      REAL*8 XCEN,YCEN,RADS,MAP,XMAP,YMAP,CMAP

      ALLOCATABLE NOPEL(:,:),XCEN(:),YCEN(:)&
      ,RADS(:) ,NKEY(:),CMAP(:,:)&
      ,XMAP(:),YMAP(:),VAL(:),CCMAP(:)

      INTEGER IEDGE(15000,2),IGAP(15000),NELFM(15000)

	  INTEGER NELTS,MAXPL,MAXELMP

      ALLOCATABLE imap(:),NCRS(:)

      END MODULE
